<#
.SYNOPSIS
    .
.DESCRIPTION
    .
.PARAMETER scInstanceName
    Provide sitecore instance name here. Tenant service instance name will be formed by adding .service to it.
.PARAMETER servicePackage
    Provide full path to Tenant Service web deployment package here.
#>
param
(
 [Parameter(Mandatory=$false )] [string] $scInstanceName = "sitecore",
 [Parameter(Mandatory=$false )] [string] $servicePackage = "c:\SIF\TenantService.scwdp.zip",
 [Parameter(Mandatory=$false )] [string] $WDSFolderName = $pwd
)

#define parameters
$instanceName = "$scInstanceName.service"
$prefix = "$scInstanceName"

#install client certificate for xconnect
$certParams = @{
 Path = "$WDSFolderName\createcert.json"
 CertificateName = "$instanceName"
 RootCertFileName = "TenantServRootCert"
}

Install-SitecoreConfiguration @certParams -Verbose


#deploy xconnect instance
$tenantServiceParams = @{
 Path = "$WDSFolderName\tenantservice-xp0.json"
 Package = "$servicePackage"
 SiteName = $instanceName
 SSLCert = $certParams.CertificateName
 SitecoreHostName = $scInstanceName
 SitecoreTenantId = "{00000000-0000-0000-0000-000000000000}"
}

Install-SitecoreConfiguration @tenantServiceParams